# EdgesHelper

#### new EdgesHelper(model)

Create an object to render a mesh as edges

##### Parameters:

Name | Type | Description
--- | --- | ---
`model` | Three.Object3D | The mesh

Source:
  - EdgesHelper.js, line 31

### Members

#### (static) EDGES_MODES

Whether to draw edges on front and back faces. Values are NONE, FRONT, BACK, BOTH.

Source:
  - EdgesHelper.js, line 9

### Methods

#### (static) AddEdges(newModel, edgesMode) → {EdgesHelper}

Create the edges geometry for a model

##### Parameters:

Name | Type | Description
--- | --- | ---
`newModel` | THREE.Object3D | The model with edges
`edgesMode` | EdgesHelper.EDGES_MODES | Whether to draw edges enumeration

Source:
  - EdgesHelper.js, line 71

##### Returns:

The edges object

Type
  EdgesHelper